Skip to main content

Gets the most recent stream for a device

GET /v1/device/{deviceID}/stream/mostrecent

Summary​

Gets the most recent stream for a device.

Authentication​

No operation-level security requirement is documented here.

Parameters​

NameInTypeRequiredDescriptionExample
deviceIDpathinteger (int64)YesThe ID of the device whose most recent stream should be returned.1

Request Body​

No request body is documented here.

Responses​

200​

Success

application/json​

  • key (integer (int64), optional)
  • deviceID (integer (int64), optional)
  • streamTypeID (integer (int64), optional)
  • eventID (integer (int64), optional)
  • streamName (string, optional)
  • streamPath (string, optional)
  • streamDescription (string, optional)
  • publishURL (string, optional)
  • readURL (string, optional)
  • lastActivityDate (string (date-time), optional)
  • actionTypeID (integer (int64), optional)
  • creationDate (string (date-time), optional)

Example

{
"key": 401,
"deviceID": 201,
"streamTypeID": 1,
"eventID": 501,
"streamName": "SendSRT",
"streamPath": "sendsrt-wearabledevice",
"streamDescription": "Example description",
"publishURL": "srt://media.actionstreamer.com:8890?streamid=publish:sendsrt-wearabledevice",
"readURL": "https://media.actionstreamer.com/webrtc/sendsrt-wearabledevice",
"lastActivityDate": "2026-03-30T12:00:00.0000000Z",
"actionTypeID": 1,
"creationDate": "2026-03-30T12:00:00.0000000Z"
}